<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>Serialized Form</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="serialized-form-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#serialized-form">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<ul class="block-list">
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="package-summary.html">&lt;Unnamed&gt;</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="GamePanel">
<h3>Class&nbsp;<a href="GamePanel.html" title="class in Unnamed Package">GamePanel</a></h3>
<div class="type-signature">class GamePanel extends <a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/JPanel.html" title="class or interface in javax.swing" class="external-link">JPanel</a> implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>ability</h5>
<pre>boolean ability</pre>
</li>
<li class="block-list">
<h5>abilityX</h5>
<pre>int abilityX</pre>
</li>
<li class="block-list">
<h5>abilityY</h5>
<pre>int abilityY</pre>
</li>
<li class="block-list">
<h5>aboutus</h5>
<pre>boolean aboutus</pre>
</li>
<li class="block-list">
<h5>aboutusScreen</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a> aboutusScreen</pre>
</li>
<li class="block-list">
<h5>attackerX</h5>
<pre>int attackerX</pre>
</li>
<li class="block-list">
<h5>attackerY</h5>
<pre>int attackerY</pre>
</li>
<li class="block-list">
<h5>attackStarted</h5>
<pre>boolean attackStarted</pre>
</li>
<li class="block-list">
<h5>backGround</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/awt/Color.html" title="class or interface in java.awt" class="external-link">Color</a> backGround</pre>
</li>
<li class="block-list">
<h5>boardHeight</h5>
<pre>int boardHeight</pre>
</li>
<li class="block-list">
<h5>boardWidth</h5>
<pre>int boardWidth</pre>
</li>
<li class="block-list">
<h5>colWidth</h5>
<pre>int colWidth</pre>
</li>
<li class="block-list">
<h5>endgame</h5>
<pre>boolean endgame</pre>
</li>
<li class="block-list">
<h5>forestBackGround</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a> forestBackGround</pre>
</li>
<li class="block-list">
<h5>game</h5>
<pre><a href="Game.html" title="class in Unnamed Package">Game</a> game</pre>
<div class="block">commence un nouveau jeu</div>
</li>
<li class="block-list">
<h5>gamesave</h5>
<pre>boolean gamesave</pre>
</li>
<li class="block-list">
<h5>highlight</h5>
<pre>boolean highlight</pre>
</li>
<li class="block-list">
<h5>highlightaboutus</h5>
<pre>boolean highlightaboutus</pre>
</li>
<li class="block-list">
<h5>highlightBack</h5>
<pre>boolean highlightBack</pre>
</li>
<li class="block-list">
<h5>highlightBackGame</h5>
<pre>boolean highlightBackGame</pre>
</li>
<li class="block-list">
<h5>highlightload</h5>
<pre>boolean highlightload</pre>
</li>
<li class="block-list">
<h5>highlightSave</h5>
<pre>boolean highlightSave</pre>
</li>
<li class="block-list">
<h5>highlightStartGame</h5>
<pre>boolean highlightStartGame</pre>
</li>
<li class="block-list">
<h5>highlightTeamSelect</h5>
<pre>boolean highlightTeamSelect</pre>
</li>
<li class="block-list">
<h5>highlightX</h5>
<pre>int highlightX</pre>
</li>
<li class="block-list">
<h5>highlightY</h5>
<pre>int highlightY</pre>
</li>
<li class="block-list">
<h5>loadGame</h5>
<pre>boolean loadGame</pre>
</li>
<li class="block-list">
<h5>loose</h5>
<pre>boolean loose</pre>
</li>
<li class="block-list">
<h5>markedPiece</h5>
<pre><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a> markedPiece</pre>
</li>
<li class="block-list">
<h5>markPiece</h5>
<pre>boolean markPiece</pre>
</li>
<li class="block-list">
<h5>moveOrAttack</h5>
<pre>boolean moveOrAttack</pre>
</li>
<li class="block-list">
<h5>moveStarted</h5>
<pre>boolean moveStarted</pre>
</li>
<li class="block-list">
<h5>northEastCornerX</h5>
<pre>int northEastCornerX</pre>
</li>
<li class="block-list">
<h5>northEastCornerY</h5>
<pre>int northEastCornerY</pre>
</li>
<li class="block-list">
<h5>northWestCornerX</h5>
<pre>int northWestCornerX</pre>
</li>
<li class="block-list">
<h5>northWestCornerY</h5>
<pre>int northWestCornerY</pre>
</li>
<li class="block-list">
<h5>numCols</h5>
<pre>int numCols</pre>
</li>
<li class="block-list">
<h5>numRows</h5>
<pre>int numRows</pre>
</li>
<li class="block-list">
<h5>outline</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/awt/Color.html" title="class or interface in java.awt" class="external-link">Color</a> outline</pre>
</li>
<li class="block-list">
<h5>rowHeight</h5>
<pre>int rowHeight</pre>
</li>
<li class="block-list">
<h5>southEastCornerX</h5>
<pre>int southEastCornerX</pre>
</li>
<li class="block-list">
<h5>southEastCornerY</h5>
<pre>int southEastCornerY</pre>
</li>
<li class="block-list">
<h5>southWestCornerX</h5>
<pre>int southWestCornerX</pre>
</li>
<li class="block-list">
<h5>southWestCornerY</h5>
<pre>int southWestCornerY</pre>
</li>
<li class="block-list">
<h5>spriteAnimation</h5>
<pre>int spriteAnimation</pre>
</li>
<li class="block-list">
<h5>startScreen</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a> startScreen</pre>
</li>
<li class="block-list">
<h5>teamSelect</h5>
<pre>boolean teamSelect</pre>
</li>
<li class="block-list">
<h5>teamSelectScreen</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a> teamSelectScreen</pre>
</li>
<li class="block-list">
<h5>timer</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/Timer.html" title="class or interface in javax.swing" class="external-link">Timer</a> timer</pre>
</li>
<li class="block-list">
<h5>timeTicked</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/awt/event/ActionListener.html" title="class or interface in java.awt.event" class="external-link">ActionListener</a> timeTicked</pre>
</li>
<li class="block-list">
<h5>tour</h5>
<pre>int tour</pre>
</li>
<li class="block-list">
<h5>velocity</h5>
<pre>int velocity</pre>
</li>
<li class="block-list">
<h5>victoryBorder</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a> victoryBorder</pre>
</li>
<li class="block-list">
<h5>whiteHighlight</h5>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a> whiteHighlight</pre>
</li>
<li class="block-list">
<h5>win</h5>
<pre>boolean win</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</main>
</div>
</div>
</body>
</html>
